1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Logic 8 Logic control firmware update failed (error code 1)

Discussion in 'Logic 8' started by pixeltarian, Jun 4, 2009.

  1. pixeltarian

    pixeltarian New Member

    Logic control firmware update failed *SOLVED*

    logic pro 8
    leopard 10.5.7

    I'm trying to update my emagic logic control to 1.2

    I turn it on, make sure it's working. turn it off then on while holding rec/rdy on channels 1&2. then I try to play the update midi file.

    it doesn't give me the "dancing dots" as stated in the instructions. either nothing happens or it says "update failed" after a bit.

    perhaps a rundown on what and how to turn off the things stated here:
    "Disable MTC, MMC, MIDI Clock, MIDI Metronome, or any other MIDI signals being sent by your DAW."

    i did my best to disable these, but perhaps I missed some.

    anyone who can help me out - it would be VERY appreciated. I don't only use logic and it would be nice to use it in other daws like reaper.

    thanks a million billion trillion in advance. I know I didn't give a lot of info, but anything you need to know I will provide.

    tried the update in reaper 3.1
    it worked. you have to wait a bit for the dancing lines though.

    do this:
    1 drag and drop the midi on the track
    2 hit the I/O button
    2 set up the midi port to the one the control is on
    3 set the channel to 1
    4 go to update mode on the control and press play
  3. pixeltarian

    pixeltarian New Member

    ok, now it won't even work with logic. it turns on, but nothing happens but a blank blue screen. the faders don't calibrate either.
    it recognizes the incoming midi signal because as soon as I press play on the track with the update midi file it gives me the update failed message.

    *sigh* what do I do?!
  4. WSperner

    WSperner New Member

    as far as I remember, update 1.2 is a paid update, you have to order an eprom from Mackie.
    Look for Update 1.02, this should work in your logic control and bring full swichable logic control/mackie control options for you.
    Only advantage of the paid 1.2 upgrade is hui functionality, so if you a pro tools user this is for you.
    best regards
    Wolfgang Sperner
  5. johnpitcairn

    johnpitcairn Member

    Don't use a DAW to play the update file. Use Sysex Librarian, http://www.snoize.com

    The paid (hardware) update is 2.x and provides HUI emulation (for Pro Tools).

    Update 1.2 is free, but is for original Mackie Controls ONLY.

    Update 1.02 is also free for original Logic Controls (allows boot as a Mackie Control).
  6. WSperner

    WSperner New Member

    Sorry, didn´t remember right, it was so long ago, when I had to do the upgrade - however, 1.02 seems to be the right choice for him...

    Best regards
    Wolfgang Sperner
  7. dasystem

    dasystem New Member

    Did anyone figure this out? I tried to update to 1.02 but got the -1 error.
    now its just a blue screen. I can get it back to "Waiting for midi upgrade" page but the update fails everytime. Help!!!!!!

    Version 1.0
  8. bledi235

    bledi235 New Member

    please did someone find a solution?? i downloaded firmware 1.02 & im using the sysex librarian to play the midi. it gives me all the time the error 1. what should i do please???

Share This Page